Subject: Re: Cygwin binary of lftp 2.6.5?
From: Huijing Zhou <[email-masked]>
To: Caleb Epstein <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 19 Mar 2003 02:12:37 +0100

>>>> Can someone please make a Cygwin binary of the latest lftp version?
>>>> The last one was 2.5.2, which has been quite a while now. I did try
>>>> several times to compile myself, but it never succeeded "out of the
>>>> box".  Thanks in advande.
 >>>
>>> Just built 2.6.5 out of the box on the latest Cygwin.  Feel
>>> free to grab a copy from:
>>>
>>> http://etree.org/software/lftp-2.6.5-cygwin.tar.gz
>>>
>>> Unpack in /usr/local or your repository of choice.  Enjoy.
>> 
>> That's great, thank. I'm just wondering why my compile failed. I had a 
>> complete reinstallation of Cygwin (all packages) two days ago and still 
>> lftp 2.6.5 failed to compile.
> 
> Make sure you're not building with gcc-mingw.  I think I was
> doign that and was hitting lots of weird issues with various
> Windows DLLs.  Removing the gcc-mingw package seems to fix the
> problem.  I just did ./configure && make && make install.  No
> errors.

That's strange. I sure was not adding "--mno-cygwin" anywhere. But AFAIK 
compiling under Cygwin doesn't use the "win32 native" mode anyway. It 
shouldn't be necessary to *remove* the mingw package!?

Huijing

-- 
Huijing Zhou <[email-masked]>
CIP Computer Lab, Faculty of Economics
University of Karlsruhe, Germany
http://www2.wiwi.uni-karlsruhe.de

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/